Bug 1435848 - [LLNL 7.5 FEAT] Please rebase FreeIPMI to 1.5.5
Summary: [LLNL 7.5 FEAT] Please rebase FreeIPMI to 1.5.5
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freeipmi   
(Show other bugs)
Version: 7.4
Hardware: Unspecified Unspecified
medium
unspecified
Target Milestone: rc
: 7.5
Assignee: Josef Ridky
QA Contact: Rachel Sibley
Jiri Hornicek
URL:
Whiteboard:
Keywords: FutureFeature, Rebase
Depends On:
Blocks: 1522983 1400611 1436115 1465906 1465925
TreeView+ depends on / blocked
 
Reported: 2017-03-25 00:14 UTC by Ben Woodard
Modified: 2018-04-10 11:27 UTC (History)
5 users (show)

Fixed In Version: freeipmi-1.5.7-1.el7
Doc Type: Release Note
Doc Text:
Overview of changes from freeIPMI 1.2.9 to freeIPMI 1.5.7 These are the most important changes: - The *ipmi-fru* tool now supports the output of the DDR3 and DDR4 SDRAM modules and new FRU multirecords. - The new *ipmi-config* tool is a consolidated configuration tool implementing all the functionalities that were previously in the *bmc-config*, *ipmi-pef-config*, *ipmi-sensors-config*, and *ipmi-chassis-config* tools. - The *ipmi-sel* tool reads and manages the IPMI System Event Log records, which makes the tool useful for debugging the system. A complete list of changes is available after the installation in the `/usr/share/doc/freeipmi/NEWS` file.
Story Points: ---
Clone Of:
: 1436115 (view as bug list)
Environment:
Last Closed: 2018-04-10 11:27:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0714 None None None 2018-04-10 11:27 UTC

Description Ben Woodard 2017-03-25 00:14:48 UTC
Description of problem:
LLNL who is the upstream for FreeIPMI asked that we rebase to 1.5.5. Evidently there are some important several IPMI SOL fixes in the FreeIPMI release around that same time that would impact anyone using ConMan for IPMI SOL consoles.

Version-Release number of selected component (if applicable):
1.2.9-8

Comment 5 Josef Ridky 2017-07-13 15:15:31 UTC
Actual upstream version is 1.5.6.

Do you want to rebase this package to version 1.5.5 or to the latest upstream?

Comment 6 Ben Woodard 2017-07-13 20:41:14 UTC
Yeah go with the latest upstream. When I filed this originally, it 1.5.5 was the latest since that time 1.5.6 has been released.

Comment 9 Rachel Sibley 2017-11-17 20:03:25 UTC
Ran the freeipmi regression tests, all passed, also manually ran some freeipmi commands using the latest version. 

~]# rpm -q freeipmi
freeipmi-1.5.7-1.el7.x86_64

~]# ipmiconsole -u root -p calvin -h redacted
[SOL established]

Red Hat Enterprise Linux Server release 6.9 (Santiago)
Kernel 3.10.0-693.11.1.rt56.597.el6rt.x86_64 on an x86_64

login:


~]# ipmi-chassis --get-chassis-status
System Power                        : on
Power overload                      : false
Interlock                           : inactive
Power fault                         : false
Power control fault                 : false
Power restore policy                : Always on
Last Power Event                    : power on via ipmi command
Chassis intrusion                   : inactive
Front panel lockout                 : inactive
Drive Fault                         : false
Cooling/fan fault                   : false
Power off button                    : enabled
Reset button                        : enabled
Diagnostic Interrupt button         : disabled
Standby button                      : enabled
Power off button disable            : allowed
Reset button disable                : unallowed
Diagnostic interrupt button disable : allowed
Standby button disable              : unallowed

~]# ipmi-sel
Caching SDR repository information: /root/.freeipmi/sdr-cache/sdr-cache-redacted.localhost
Caching SDR record 126 of 126 (current record ID 126)
ID  | Date        | Time     | Name             | Type                     | Event
1   | Feb-21-2012 | 11:34:31 | SEL              | Event Logging Disabled   | Log Area Reset/Cleared
2   | Feb-23-2012 | 14:12:24 | Intrusion        | Physical Security        | General Chassis Intrusion ; OEM Event Data2 code = 02h
3   | Feb-23-2012 | 14:15:49 | Intrusion        | Physical Security        | General Chassis Intrusion ; OEM Event Data2 code = 02h
4   | Feb-23-2012 | 14:42:21 | Drive 0          | Drive Slot               | Drive Fault ; OEM Event Data2 code = 01h ; OEM Event Data3h
5   | Feb-23-2012 | 14:44:50 | Drive 0          | Drive Slot               | Drive Fault ; OEM Event Data2 code = 01h ; OEM Event Data3h
6   | Feb-23-2012 | 14:44:50 | Drive 1          | Drive Slot               | Drive Fault ; OEM Event Data2 code = 01h ; OEM Event Data3h
7   | Feb-23-2012 | 14:46:12 | Intrusion        | Physical Security        | General Chassis Intrusion ; OEM Event Data2 code = 02h
8   | Feb-23-2012 | 14:47:58 | Intrusion        | Physical Security        | General Chassis Intrusion ; OEM Event Data2 code = 01h
9   | Feb-23-2012 | 14:48:29 | Drive 0          | Drive Slot               | Drive Fault ; OEM Event Data2 code = 01h ; OEM Event Data3h
10  | Feb-23-2012 | 14:48:29 | Drive 1          | Drive Slot               | Drive Fault ; OEM Event Data2 code = 01h ; OEM Event Data3h
11  | Jun-15-2012 | 22:49:16 | Status           | Power Supply             | Power Supply input lost (AC/DC)
12  | Nov-01-2012 | 20:03:02 | Status           | Power Supply             | Power Supply input lost (AC/DC)
13  | Mar-21-2013 | 07:25:52 | Status           | Power Supply             | Power Supply input lost (AC/DC)
14  | Aug-07-2013 | 19:47:10 | Status           | Power Supply             | Power Supply input lost (AC/DC)
15  | Dec-27-2013 | 09:44:33 | Status           | Power Supply             | Power Supply input lost (AC/DC)

~]# bmc-info
Device ID             : 32
Device Revision       : 0
Device SDRs           : supported
Firmware Revision     : 2.85
Device Available      : yes (normal operation)
IPMI Version          : 2.0
Sensor Device         : supported
SDR Repository Device : supported
SEL Device            : supported
FRU Inventory Device  : supported
IPMB Event Receiver   : supported
IPMB Event Generator  : unsupported
Bridge                : supported
Chassis Device        : supported
Manufacturer ID       : Dell Inc. (674)
Product ID            : 256
Auxiliary Firmware Revision Information : 00000400h

Device GUID : 314b524f-c0c3-5880-4a10-00374c4c4544

System GUID : 314b524f-c0c3-5880-4a10-00374c4c4544

System Firmware Version       : 6.4.0
System Name                   : redacted
Primary Operating System Name : Red Hat Enterprise Linux Server
Operating System Name         :


~]# ipmi-sensors
ID  | Name             | Type                     | Reading    | Units | Event
1   | Temp             | Temperature              | N/A        | C     | N/A
2   | Temp             | Temperature              | N/A        | C     | N/A
3   | Temp             | Temperature              | N/A        | C     | N/A
4   | Temp             | Temperature              | N/A        | C     | N/A
5   | Ambient Temp     | Temperature              | 20.00      | C     | 'OK'
6   | Planar Temp      | Temperature              | N/A        | C     | N/A
7   | CMOS Battery     | Battery                  | N/A        | N/A   | 'OK'
8   | VCORE            | Voltage                  | N/A        | N/A   | 'State Deasserted'
9   | VCORE            | Voltage                  | N/A        | N/A   | 'State Deasserted'
10  | 0.75 VTT PG      | Voltage                  | N/A        | N/A   | 'State Deasserted'
11  | 0.75 VTT PG      | Voltage                  | N/A        | N/A   | 'State Deasserted'
12  | IOH1 THERMTRIP   | Voltage                  | N/A        | N/A   | N/A
13  | IOH2 THERMTRIP   | Voltage                  | N/A        | N/A   | N/A
14  | 1.5V PG          | Voltage                  | N/A        | N/A   | 'State Deasserted'
15  | 1.8V PG          | Voltage                  | N/A        | N/A   | 'State Deasserted'


~]# ipmi-fru
FRU Inventory Device: System Board (ID 00h)

  FRU Board Manufacturing Date/Time: 01/01/96 - 05:00:00
  FRU Board Manufacturer: DELL
  FRU Board Product Name: PowerEdge T710               
  FRU Board Serial Number: CN747519640062
  FRU Board Part Number: 0J051KA00
  FRU FRU File ID: 3

  FRU Product Manufacturer Name: DELL
  FRU Product Name: redacted
  FRU Product Part/Model Number:
  FRU Product Version: 01
  FRU Product Serial Number: C7JXRK1
  FRU Product Asset Tag:

Comment 12 errata-xmlrpc 2018-04-10 11:27:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0714


Note You need to log in before you can comment on or make changes to this bug.